package com.dayou.service;
import com.dayou.entity.ResourceTransfer;
import com.baomidou.mybatisplus.extension.service.IService;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.dayou.vo.ResourceTransferVO;
import org.apache.poi.xssf.usermodel.XSSFWorkbook;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

/**
 * <p>
 * 业务资源转移表 服务类
 * </p>
 *
 * @author wucl
 * @since 2023-05-31
 */
public interface IResourceTransferService extends IService<ResourceTransfer> {

        Page<ResourceTransfer> selectPage(Page page,ResourceTransfer resourceTransfer);

        ResourceTransferVO detail(Long id);

        Boolean add(ResourceTransfer resourceTransfer);

        Boolean update(ResourceTransfer resourceTransfer);

        Boolean delete(Long id);

        List<ResourceTransferVO> transferHistory(String resourceType, Long resourceId);
}
